Skip to content

CpWorkCard⁠

Perform various operations for Symitar parameters.

Operations⁠

getCpWorkCardSelectFields⁠

POST

Execute the persistent ParameterService getCpWorkCardSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCpWorkCardSelectFields
POST /nexum/627/persistent/parameter/getCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllCpWorkCardFields": true,
    "CpWorkCardFields": {
      "AdditionalInfoHeader": [
        0
      ],
      "AdditionalInfoJustify": [
        0
      ],
      "AdditionalInfoSpecfileName": true,
      "AutomaticAdvanceNextQueued": true,
      "CollectionQueueUserDisplay": true,
      "NextWorkDateMaxAdvance": true,
      "ValidCollectorIds": true,
      "WorkCardDescriptionType": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCpWorkCardByID⁠

POST

Execute the persistent ParameterService updateCpWorkCardByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateCpWorkCardByID
POST /nexum/627/persistent/parameter/updateCpWorkCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "CpWorkCardFields": {
    "AdditionalInfoHeader": [
      {
        "EntryId": 0,
        "AdditionalInfoHeader": "string"
      }
    ],
    "AdditionalInfoJustify": [
      {
        "EntryId": 0,
        "AdditionalInfoJustify": 0
      }
    ],
    "AdditionalInfoSpecfileName": "string",
    "AutomaticAdvanceNextQueued": 0,
    "CollectionQueueUserDisplay": 0,
    "NextWorkDateMaxAdvance": 0,
    "ValidCollectorIds": {
      "Bit": [
        0
      ]
    },
    "WorkCardDescriptionType": [
      {
        "EntryId": 0,
        "WorkCardDescriptionType": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}